<?php

use EventPortal\Domain\Event\Form\Models\Question;
use EventPortal\Domain\Event\Form\Models\QuestionValidation;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(QuestionValidation::class, static function (): array {
    return [
        'rule' => 'Test Rule',
        'message' => 'Test Message',
        'question_id' => static function (): int {
            return factory(Question::class)->create()->id;
        },
    ];
});

$factory->state(QuestionValidation::class, 'required', static function (): array {
    return [
        'rule' => 'required',
        'message' => 'This field is required',
    ];
});
