<?php

namespace EventPortal\Domain\Event\Handlers;

use Closure;
use EventPortal\Domain\Agenda\Models\Pathway;
use EventPortal\Domain\Form\Payload;

class CreateDefaultPathway
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        Pathway::generate(
            $payload->getModel(),
            Pathway::DEFAULT,
            'This is the default pathway.'
        );

        return $next($payload);
    }
}
